Index: extensions/rv_sitemap/language/de_DE/description.txt
===================================================================
--- extensions/rv_sitemap/language/de_DE/description.txt	(revision 9181)
+++ extensions/rv_sitemap/language/de_DE/description.txt	(revision 9181)
@@ -0,0 +1,1 @@
+Erstellt eine Sitemap für Ihre Galerie. Sitemaps werden verwendet, um Suchmaschinen über Seiten, die zum Durchsuchen verfügbar sind zu informieren.
Index: extensions/rv_sitemap/language/de_DE/index.php
===================================================================
--- extensions/rv_sitemap/language/de_DE/index.php	(revision 9181)
+++ extensions/rv_sitemap/language/de_DE/index.php	(revision 9181)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/rv_sitemap/language/de_DE/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/de_DE/plugin.lang.php	(revision 9181)
+++ extensions/rv_sitemap/language/de_DE/plugin.lang.php	(revision 9181)
@@ -0,0 +1,17 @@
+<?php
+
+$lang['Global'] = 'Global';
+$lang['Filename'] = 'Filename';
+$lang['Priority'] = 'Priorität';
+$lang['Frequency'] = 'Häufigkeit';
+$lang['always'] = 'immer';
+$lang['hourly'] = 'stündlich';
+$lang['daily'] = 'täglich';
+$lang['weekly'] = 'wöchentlich';
+$lang['monthly'] = 'monatlich';
+$lang['yearly'] = 'jährlich';
+$lang['never'] = 'nie';
+
+$lang['Recent photos'] = 'die neusten Bilder';
+
+?>
Index: extensions/rv_sitemap/language/it_IT/description.txt
===================================================================
--- extensions/rv_sitemap/language/it_IT/description.txt	(revision 9181)
+++ extensions/rv_sitemap/language/it_IT/description.txt	(revision 9181)
@@ -0,0 +1,1 @@
+Crea una mappa del sito per la tua galleria. Sitemaps sono usati per indicare ai motori di ricerca le pagine che sono disponibili per la scansione.
Index: extensions/rv_sitemap/language/it_IT/index.php
===================================================================
--- extensions/rv_sitemap/language/it_IT/index.php	(revision 9181)
+++ extensions/rv_sitemap/language/it_IT/index.php	(revision 9181)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/rv_sitemap/language/it_IT/plugin.lang.php
===================================================================
--- extensions/rv_sitemap/language/it_IT/plugin.lang.php	(revision 9181)
+++ extensions/rv_sitemap/language/it_IT/plugin.lang.php	(revision 9181)
@@ -0,0 +1,17 @@
+<?php
+
+$lang['Global'] = 'Globale';
+$lang['Filename'] = 'Nome del file';
+$lang['Priority'] = 'Priorità';
+$lang['Frequency'] = 'Frequenza';
+$lang['always'] = 'sempre';
+$lang['hourly'] = 'ogni ora';
+$lang['daily'] = 'ogni giorno';
+$lang['weekly'] = 'ogni settimana';
+$lang['monthly'] = 'ogni mese';
+$lang['yearly'] = 'ogni anno';
+$lang['never'] = 'mai';
+
+$lang['Recent photos'] = 'Foto recenti';
+
+?>