Index: extensions/add_index/language/no_NO/description.txt
===================================================================
--- extensions/add_index/language/no_NO/description.txt	(revision 9186)
+++ extensions/add_index/language/no_NO/description.txt	(revision 9186)
@@ -0,0 +1,1 @@
+Legg til index.php filen i alle undermapper til lokal galleri bilder.
Index: extensions/add_index/language/no_NO/help/advanced_feature.html
===================================================================
--- extensions/add_index/language/no_NO/help/advanced_feature.html	(revision 9186)
+++ extensions/add_index/language/no_NO/help/advanced_feature.html	(revision 9186)
@@ -0,0 +1,7 @@
+<p>Funksjonaliteten til AddIndex plugginen:</p>
+<ul>
+  <li>
+    <strong>Legg til og overskriv "index" filer for alle lokale siter:</strong>
+    Overskriv, kopier filen ./include/index.php til alle under mapper i galleriets lokale siter.
+  </li>
+<ul>
Index: extensions/add_index/language/no_NO/help/index.php
===================================================================
--- extensions/add_index/language/no_NO/help/index.php	(revision 9186)
+++ extensions/add_index/language/no_NO/help/index.php	(revision 9186)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/add_index/language/no_NO/help/site_manager.html
===================================================================
--- extensions/add_index/language/no_NO/help/site_manager.html	(revision 9186)
+++ extensions/add_index/language/no_NO/help/site_manager.html	(revision 9186)
@@ -0,0 +1,7 @@
+<p>Funksjonaliteten til AddIndex plugginen:</p>
+<ul>
+  <li>
+    <strong>Legger til "index" filer for lokal site:</strong>
+    Kopier filen ./include/index.php til alle under mapper på utvalgte lokale siter.
+  </li>
+<ul>
Index: extensions/add_index/language/no_NO/index.php
===================================================================
--- extensions/add_index/language/no_NO/index.php	(revision 9186)
+++ extensions/add_index/language/no_NO/index.php	(revision 9186)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/add_index/language/no_NO/plugin.lang.php
===================================================================
--- extensions/add_index/language/no_NO/plugin.lang.php	(revision 9186)
+++ extensions/add_index/language/no_NO/plugin.lang.php	(revision 9186)
@@ -0,0 +1,39 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Add_Index'] = 'Legg til "index" filer';
+$lang['Advanced_Add_Index'] = 'Legg til og overskriv "index" filer for alle lokale siter';
+$lang['Manager_Add_Index'] = 'Legg til "index"';
+
+$lang['add_index_file_copied'] = '%s kopiert';
+$lang['add_index_file_not_copied'] = '%s ikke kopiert';
+$lang['add_index_not_local_site'] = '%s [%d] er en fjern side, Det er kompatibelt med legg til "index" filer';
+$lang['add_index_nb_copied_file'] = '%d fil kopiert';
+$lang['add_index_nb_copied_files'] = '%d filer kopiert';
+$lang['add_index_nb_skipped_file'] = '%d fil droppet';
+$lang['add_index_nb_skipped_files'] = '%d filer droppet';
+$lang['add_index_nb_not_copied_file'] = '%d fil ikke kopiert';
+$lang['add_index_nb_not_copied_files'] = '%d filer ikke kopiert';
+$lang['add_index_src_file_dont_exists'] = 'Kilde fil %s eksisterer ikke, kan ikke duplisere denne filen';
+
+?>