Index: branches/2.1/language/tr_TR/help/cat_move.html
===================================================================
--- branches/2.1/language/tr_TR/help/cat_move.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/cat_move.html	(revision 9187)
@@ -0,0 +1,14 @@
+<h2>Sanal Albümler Taşınıyor</h2>
+
+<p>Sadece sanal albümler yeni bir ana albüm alabilir.</p>
+
+<h3>Taşınacak Sanal Albümler</h3>
+
+<p>Taşımak istediğiniz bir veya daha fazla sanal albümü seçiniz. 
+Bu liste boş ise, bu demektir ki henüz bir sanal albümünüz yok.</p>
+
+<h3>Yeni Ana Albüm</h3>
+
+<p>Sana yada fiziksel yeni bir ana albüm seçiniz. 
+Eğer ana albüm seçmezseniz, seçilen sana albümler root bölümüne taşınacaktır.
+Bir albüm kendi içine ya da kendi alt albümü içine taşınamaz.</p>
Index: branches/2.1/language/tr_TR/help/cat_options.html
===================================================================
--- branches/2.1/language/tr_TR/help/cat_options.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/cat_options.html	(revision 9187)
@@ -0,0 +1,21 @@
+<h2>Albüm seçenekleri</h2>
+
+<p>Aynı anda birkaç albüm için seçenekler yönetimi.</p>
+
+<dl>
+
+<dt>Yorumlar</dt>
+<dd>Bir resim eğer albüme bağlı ve yorum ayarları etkin ise kullanıcılarınız tarafından yorumlanabilir.</dd>
+
+<dt>Kilit</dt>
+<dd>Kilitli albümler bakım için devre dışıdır. Yalnızca yöneticiler bu albümleri galeride görüntüleyebilir.</dd>
+<dt>Özel / Genel</dt>
+<dd>Bir albüm özel olduğu zaman, kullanıcı ve gruplara gerekli izinleri veriniz</dd>
+
+<dt>Temsilci</dt>
+<dd>Yapılandırma ayarlarını tamamladığınızda bu seçenek etkinleşecektir
+<code>allow_random_representative</code> (bakınız ve <span
+ class="filename">include/config_defaults.inc.php</span>)
+<em>doğrulayınız</em>. Her albüm rastgele bir resim ya da eşsiz bir temsilci olarak seçilen bir resim ile temsil edilebilir.</dd>
+
+</dl>
Index: branches/2.1/language/tr_TR/help/cat_perm.html
===================================================================
--- branches/2.1/language/tr_TR/help/cat_perm.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/cat_perm.html	(revision 9187)
@@ -0,0 +1,11 @@
+<h2>Albüm izinleri düzenle</h2>
+
+<p>Bu ekran sadece özel albümler içindir. Burada kullanıcılar ve gruplar için albüm izinlerini düzenleyebilirsiniz.</p>
+
+<h3>Gruplar</h3>
+
+<p>Bu albüm için gruplara erişim izin verebilir veya reddedebilirsiniz. Grup izinlerini değiştirerek, gruba bağlı olan kullanıcıların albüm erişim izni olup olmamasını düzenleyebilirsiniz.</p>
+
+<h3>Kullanıcılar</h3>
+
+<p>Kullanıcılar için kişisel erişim izni verebilir veya reddedebilirsiniz. Bir albüme grup erişim izni olan kullanıcın bu şekilde erişimi iptal edilebilir.</p>
Index: branches/2.1/language/tr_TR/help/configuration.html
===================================================================
--- branches/2.1/language/tr_TR/help/configuration.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/configuration.html	(revision 9187)
@@ -0,0 +1,117 @@
+<h2>Yapılandırma</h2>
+
+<p>Bu ekranda yönetici temel yapılandırma yapabilir. Nitekim, bu ekran sadece basit yapılandırma parametreleri gösterir, yöneticilerin büyük çoğunluğu için yeterli olacaktır. Eğer diğer sayısız (ve ileri) yapılandırma parametrelerini görmek istiyorsanız <span
+class="filename">include/config_default.inc.php</span> dosyasını okuyunuz.</p>
+
+<p>Bu ekran birkaç bölüme ayrılmıştır, temaya göre yapılandırma parametrelerini yeniden gruplama.</p>
+
+
+<h3>Ana</h3>
+<ul>
+  <li><strong>Galeri başlığı</strong>: E-posta bildirimleri ile RSS beslemelerinde kullanılan.</li>
+
+  <li><strong>Sayfa afişi</strong>: her bir genel sayfanın üst kısmında görüntülenen.</li>
+
+  <li><strong>Galeri URLsi</strong>: RSS beslemelerinde kullanılan.</li>
+
+  <li><strong>Galeri Kilidi</strong>: Bakım için tüm galeriyi kilitle.
+  Sadece yöneticiler galeriye ulaşabilecektir.
+  </li>
+
+  <li><strong>Derecelendirme</strong>: Resim derecelendirme özelliği açıldı.</li>
+
+  <li><strong>Misafir Derecelendirmeleri</strong>: Kayıtlı olmayan kullanıcılar resimleri derecelendirebilir.</li>
+
+  <li><strong>Kullanıcı kaydına izin ver</strong>: Herkes kayıt olabilir..</li>
+
+  <li><strong>E-Posta adresi, tüm kullanıcılar için zorunludur</strong>: işlemin yönetici tarafından yapılması durumu hariç, kayıt ve profil güncellemede kontrol edilecektir .</li>
+
+  <li><strong>Yeni bir kullanıcı kayıt olduğunda yöneticiye e-posta gönder</strong>: yöneticiler her kayıt için bir e-posta ile bildirilir.</li>
+
+</ul>
+
+<h3>Geçmiş</h3>
+
+  <p>Sayfa ziyaretleri <span
+  class="pwgScreen">category.php</span> ve <span
+  class="pwgScreen">picture.php</span>
+  <code>geçmiş</code> tablosunda kayıt edilecektir.</p>
+
+  <p>Ziyaretler <span
+  class="pwgScreen">Yönetim &raquo; Araçlar &raquo; Geçmiş</span> bölümünde gösterilecektir.</p>
+
+<ul>
+  <li><strong>Misafirler tarafından ziyaret edilen sayfaları kaydet</strong>: misafirlerin sayfa ziyaretleri kayıt altına alınacaktır.</li>
+
+  <li><strong>Kayıtlı kullanıcılar tarafından ziyaret edilen sayfaları kaydet</strong>: Kayıtlı kullanıcıların sayfa ziyaretleri kayıt altına alınacatırk.</li>
+
+  <li><strong>Yöneticiler tarafından ziyaret edilen sayfaları kaydet</strong>: Yöneticilerin sayfa ziyaretleri kayıt altına alınacaktır.</li>
+
+</ul>
+
+<h3>Yorumlar</h3>
+<ul>
+
+  <li><strong>Herkes yorum yapabilir</strong>: Misafirler dahil herkes yorum yapabilir.</li>
+
+  <li><strong>Sayfa başına yorum sayısı</strong>.</li>
+
+  <li><strong>Onaylama</strong>: yorumlar bir yöneticinin onayından geçmeden sitede görünür hale gelemez. Kullanıcı yorumlarını doğrulama ekranı <span class="pwgScreen">Yönetim &raquo; Araçlar &raquo; Bekleyen Yorumlar</span> da yer alır.</li>
+
+  <li><strong>Bir yorum eklendiği zaman yöneticilere e-posta gönder</strong>:
+Bir kullanıcı yorum yaptığı ve bu yorum onaylandığı zaman yöneticilere e-posta gönder.</li>
+
+  <li><strong>Bir yorum onaylama beklediği zaman yöneticilere e-posta gönder</strong>:
+Bir kullanıcı yorum gönderdiği ve bu yorum yönetici onayı beklediği zaman yöneticilere e-posta gönder.
+Kullanıcı yorum doğrulama ekranı  <span class="pwgScreen">Yönetim, Araçlar, Yorumlar</span>.</li>
+
+</ul>
+
+<h3>Yükleme</h3>
+<ul>
+  <li><strong>Resim yükleme linkini her zaman göster</strong>: Yüklenebilir albüm varsa, bir yükleme linki her albümde görünecek.</li>
+  <li><strong>Yükleme için kullanıcı erişim seviyesi</strong>: Kullanıcıların bazı albümlere yüklemesini kısıtla</li>
+  <li><strong>Bir resim yüklendiği zaman yöneticilere e-posta gönder</strong>: Yöneticiler her yeni bir resim yüklendiğinde bir e-posta ile haberdar edilecektir.</li>
+</ul>
+
+<h3>Varsayılan Görüntüleme</h3>
+
+<p>Burada misafirler için galerinizin nasıl görüntülenmesi gerektiği ayarlarını yapabilirsiniz. Kullanıcı giriş yaptığı zaman kendi özel görüntüleme ayarları geçerli olacaktır.
+(Düzenleme için <span class="pwgScreen">profil</span>) ayarlarına giriniz.</p>
+
+<p>Kayıtlı kullanıcıların görüntüleme ayarlarını değiştirmek için <span class="pwgScreen">Yönetim &raquo;
+Kullanıcılar &raquo; Yönet</span> penceresine gidiniz ve görüntüleme ayarlarını değiştirmek istediğiniz kullanıcıları seçerek yeni ayarları yapınız.</p>
+
+<ul>
+
+  <li><strong>Dil</strong>: Sadece Piwigo etiketleri için geçerlidir.
+  Albüm ve resim isimleri ile açıklamaları kapsamaz.
+  </li>
+
+  <li><strong>Satır başına fotoğraf sayısı</strong></li>
+
+  <li><strong>Sayfa başına satır sayısı</strong></li>
+
+  <li><strong>Tema arayüzü</strong></li>
+
+  <li><strong>Son dönem</strong>: Gün olarak. Dönem sırasında eklenen resimler yeni olarak gösterilir.
+  1 günden fazla olmalıdır.
+  </li>
+
+  <li><strong>Bütün albümleri genişlet</strong>: Varsayılan olarak bütün albümleri menüde genişlet <em>Uyarı</em>: bu seçenek kaynakları tükertir (sayfa yavaşlar)
+  ve eğer çok fazla albümünüz varsa büyük bir menü oluşturur.</li>
+
+  <li><strong>Yorum sayısını göster</strong>: küçük resimler sayfadasındaki her resim için yorum sayısını göster. Kaynakları tükertir (sayfa yavaşlar).</li>
+
+  <li><strong>Ziyaret sayısını göster</strong>: ziyaret sayılarını küçük resimlerin altında göster.
+  Yalnızca gelişmiş yapılandırma parametresi: <br>
+  $conf['show_nb_hits'] = true; <br>
+  Not: false varsayılandır.</li>
+
+  <li><strong>resimlerin azami genişliği</strong>: azami görüntülenen genişlik.
+  Bu ayardan daha büyük olan resimler yeniden boyutlandırılacaktır.
+  Bu ayarı kullanmaktan ziyade, resimlerinizin genişliğini değiştirmek daha iyi bir uygulama olacaktır.</li>
+
+  <li><strong>resimlerin azami yüksekliği</strong>: genişlik için olan sözler bu özellik içinde geçerlidir.</li>
+
+</ul>
Index: branches/2.1/language/tr_TR/help/group_list.html
===================================================================
--- branches/2.1/language/tr_TR/help/group_list.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/group_list.html	(revision 9187)
@@ -0,0 +1,22 @@
+<h2>Gruplar listesi</h2>
+
+<p>Burası Grupları yöneteceğiniz bölümdür.</p>
+
+<h3>Grup Ekle</h3>
+
+<p>Yöneticiler grup ekleyebilir.</p>
+
+<h3>Gruplar listesi</h3>
+
+<p>Her bir seçenek için, şunlar sağlanır:</p>
+
+
+<ul>
+  <li>Üye listesini görebilme</li>
+  <li>İzinler yönetim bölümünü görebilme</li>
+  <li>Grup silebilme (oner gerektirir)</li>
+  <li>Geçiş durumu "varsayılan" (bir onay gerektirir)</li>
+</ul>
+
+<h3>Varsayılan gruplar</h3>
+<p>Varsayılan gruplar yenibir kullanıcı kayıt olduğuna veya yönetici oluşturduğunda otomatik olarak alınan gruplardır.</p>
Index: branches/2.1/language/tr_TR/help/help_add_photos.html
===================================================================
--- branches/2.1/language/tr_TR/help/help_add_photos.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/help_add_photos.html	(revision 9187)
@@ -0,0 +1,26 @@
+<p>Galerinize resim eklemek için farklı yollar:</p>
+
+<ul>
+  <li><strong>Doğrudan yükleme</strong> Web tarayıcısı içinde
+  ve en hızlı basit yolu. Tarayıcınızın ve web sunucunuzun yeteneklerine bağlıdır.
+  büyük miktarda ki resim yüklemelerinde veya bazı sorunlarla karşılaştığınızda,
+  diğer yöntemler sizi bekliyor!</li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=direct">Doğrudan yüklemeye git</a></p>
+
+<ul>
+  <li><strong>pLoader</strong> bir masaüstü uygulamasıdır, bilgisayarınızda yüklü olması gerekmektedir. pLoader penceresine resimlerinizi sürükle &amp; bırak yöntemi ile alınız , <em>"Upload to Piwigo"</em> tıklayınız ve pLoader'in bütün işlemi yapmasına izin verin. Başka bir masaüstü uygulaması ise <strong>WinToPiwigo</strong> veya <strong>Digikam</strong> ile Piwigo galerinize resimlerinizi yükleyebilirsiniz.</li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">pLoader'e git</a></p>
+
+<div id="helpSynchro">
+<ul>
+  <li><strong>FTP transferi</strong> tavsiye edilen yol olmakla birlikte, çok az sayıda tıklama ile bir çok resim eklemeniz mümkündür. Fotoğraflarınızı hazırlamak için kılavuza uyun.
+  FTP yöntemi kesin olarak sunucu üzerinde fotoğraflarınızın fiziksel organizasyonu kontrolü sağlar.
+  </li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">FTP'ye git</a></p>
+</div>
Index: branches/2.1/language/tr_TR/help/help_groups.html
===================================================================
--- branches/2.1/language/tr_TR/help/help_groups.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/help_groups.html	(revision 9187)
@@ -0,0 +1,10 @@
+<p>Gruplar bir liste kullanıcının izinlerini ayarlamak için uygun bir yoldur.</p>
+
+<p>Grup oluşturmak için <span class="pwgScreen">Yönetim &raquo; Kullanıcılar
+&raquo; Gruplar</span> bölümüne ve kullanıcıyı gruba eklemek için
+in <span class="pwgScreen">Yönetim &raquo; Kullanıcılar &raquo;
+Yönet</span>bölümlerine göz atınız.</p>
+
+<p>Bir kullanıcı birden fazla gruba üye olabilir. Yetkiler önceliklidir : eğer "Erkan" grup "aile" ve "arkadaşlar" üyesi ise, ve
+sadece "aile" grubu albüm "Yılbaşı 2011" görebilirse
+"Erkan" da albüm "Yılbaşı 2011" görebilecektir.</p>
Index: branches/2.1/language/tr_TR/help/help_misc.html
===================================================================
--- branches/2.1/language/tr_TR/help/help_misc.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/help_misc.html	(revision 9187)
@@ -0,0 +1,9 @@
+<p>Galerinizi oluşturdukdan sonra ziyaretçileriniz için ayarlamalar yapabilirsiniz
+<ul>
+	<li>Varsayılan görünüm ayarları <span class="pwgScreen">Yönetim &raquo; Yapılandırma &raquo; Seçenekler</span> bölümündeki <span class="pwgScreen">Misafir Ayarları</span> sekmesindedir</li>
+	<li>Varsayılan tema ayarları <span class="pwgScreen">Yönetim &raquo; Yapılandırma &raquo; Temalar</span></li>
+	<li>Varsayılan dil ayarları <span class="pwgScreen">Yönetim &raquo; Yapılandırma &raquo; Diller</span></li>
+ </ul>
+ Varsayılan olarak her yeni kayıtlı kullanıcı bu özellikleri alır.
+</p>
+<p>Eğer bir sorunuz varsa, Piwigo topluluğu sizi <a href="http://piwigo.org/forum">forumlarında</a> ağırlamaktan memnuniyet duyar.</p>
Index: branches/2.1/language/tr_TR/help/help_permissions.html
===================================================================
--- branches/2.1/language/tr_TR/help/help_permissions.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/help_permissions.html	(revision 9187)
@@ -0,0 +1,54 @@
+<fieldset>
+<legend>Resim izinleri</legend>
+
+<p>Her resim bir <strong>gizlilik derecesine</strong> sahiptir. Her bir kullanıcı da gizlilik derecesine sahiptir. Tam olarak 5 gizlilik derecesi bulunmaktadır:</p>
+<ol>
+  <li>Hiç kimse</li>
+  <li><em>Kişiler</em></li>
+  <li><em>Arkadaşlar (kişilerden bir üst derecedir )</em></li>
+  <li><em>Aile (arkadaşlardan bir üst derecedir)</em></li>
+  <li><em>Yöneteciler (diğer derecelerden üst derecedir)</em></li>
+</ol>
+
+<p>Üst derecelerin alt derecelerde izinleri vardır. Bir kullanıcıya üst derece verilirse daha fazla resim görebilir.</p>
+
+<p>Örneğin, eğer resim "peter_wedding-0024.jpg"<em>"Aile"</em> gizlilik derecesine sahip ise:</p>
+<ul>
+  <li>Peter (kim ki bir <em>"Yönetici"</em>) bu resmi görecektir çünkü <em>"Yöneticiler"</em> bütün resimleri görebilir</li>
+  <li>Beth (kim ki bir <em>"Aile"</em> member) bu resmi görecektir</li>
+  <li>Mary (kim ki bir <em>"Arkadaşlar"</em>) bu resmi göremeyecektir</li>
+</ul>
+
+<p>Bir albümün içeriğini görme izni olmayan kullanıcı bu albümü, başlığını ve etiketlerini de göremez.</p>
+
+<p>Kullanıcı izinlerini <span class="pwgScreen">Yönetim &raquo; Kullanıcılar &raquo; Yönet</span> screen.</p>
+
+</fieldset>
+
+<fieldset>
+<legend>Albüm izinleri</legend>
+
+<p>Gizlilik seviyesi ihtiyaçlarınızı karşılamıyor ise, ayrıca bir kullanıcı veya grup için albüm izinleri ayarlayabilirsiniz. Resim ve albümler üzerinde çatışma olmadan izinler ayarlanabilir.</p>
+
+<p>Albümlere erişim yasaklanabilir. Albüm erişim iznine "özel" yaparak izinleri yönetebilirsiniz.</p>
+
+<p>Bir albümü düzenleyerek "özel" yapabilirsiniz
+(<span class="pwgScreen">Yönetim &raquo; Albümler &raquo; Yönet
+&raquo; düzen</span>) veya bütün albümlerin özelliklerini
+(<span class="pwgScreen">Yönetim &raquo; Albümler &raquo;
+Özellikler &raquo; Genel / Özel</span>) den ayarlayabilirsiniz.</p>
+
+<p>Bir albüm özel olduğu zaman gruplar ve kullanıcılar için izin ayarlarını 3 şekilde değiştirebilirsiniz:</p>
+
+<ul>
+
+  <li><span class="pwgScreen">Yönetim &raquo; Kullanıcılar &raquo; Yönet &raquo;
+  aksiyonlar, izinler</span> (one link per user)</li>
+
+  <li><span class="pwgScreen">Yönetim &raquo; Kullanıcılar &raquo; Gruplar &raquo;
+  aksiyonlar, izinler</span> (one link per group)</li>
+
+  <li><span class="pwgScreen">Yönetim &raquo; Albümler &raquo; Yönet &raquo; albüm izinlerini düzenleme</span> (her albüm için bir bağlantı)</li>
+
+</ul>
+</fieldset>
Index: branches/2.1/language/tr_TR/help/notification_by_mail.html
===================================================================
--- branches/2.1/language/tr_TR/help/notification_by_mail.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/notification_by_mail.html	(revision 9187)
@@ -0,0 +1,15 @@
+<h2>Posta ile Duyuru</h2>
+
+<p>Bu ekran sitenizdeki değişiklikleri kullanıcılara e-posta ile duyuru yapmak için gerekli yapılandırmaları ve düzenlemeleri sağlar.</p>
+
+<p>Bu ekran 3 sekmeden oluşur:</p>
+
+<h3>Ayarlar</h3>
+<p>Bu sekmeyi Site Yöneticisi görebilir ve duyuru için gerekli ayarları yapmanızı sağlar.</p>
+
+<h3>Abonelik</h3>
+<p>Bu sekmeyi Site Yöneticisi görebilir ve abonelik için gerekli ayarları yapmanızı sağlar.</p>
+
+<h3>Gönder</h3>
+<p>Bu sekmeyi Site Yöneticisi görebilir ve duyuru göndermenizi sağlar..</p>
+
Index: branches/2.1/language/tr_TR/help/search.html
===================================================================
--- branches/2.1/language/tr_TR/help/search.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/search.html	(revision 9187)
@@ -0,0 +1,19 @@
+<h2>Arama</h2>
+
+<p>Bu sayfa bütün galerideki resimlerde arama yapmanızı sağlar.</p>
+
+<dl>
+
+  <dt>Kelime arama</dt>
+  <dd>Galerideki resim özelliklerine göre bir veya bir kaç kelime arama yapabilirsiniz. Kısmen uyuşanlar için joker * işaretini kullanın.</dd>
+
+  <dt>Yazar arama</dt>
+  <dd>Kısmen uyuşanlar için joker * işaretini kullanın.</dd>
+
+  <dt>Tarih arama</dt>
+  <dd>Bir başlangıç ve bitiş tarihi seçerek aramadır. Başlangıcı boş bırakarak da arayabilirsiniz. Bitiş tarihi aşağıdaki biçimde olmalıdır: AAAA (örneğin: 2004)</dd>
+
+  <dt>Albüm içinde arama</dt>
+  <dd>Bir veya bir kaç albüm seçerek arama. Alt albümler de aramak için ana albümü seçtikten sonra alt albümlerde arama seçeneği etkin olmalıdır.</dd>
+
+</dl>
Index: branches/2.1/language/tr_TR/help/user_list.html
===================================================================
--- branches/2.1/language/tr_TR/help/user_list.html	(revision 9187)
+++ branches/2.1/language/tr_TR/help/user_list.html	(revision 9187)
@@ -0,0 +1,25 @@
+<h2>Kullanıcı listesi</h2>
+
+<p>Bu bölüm kayıtlı kullanıcıların özelliklerini düzenlemek için olmakla beraberfarklı bölümlere ait özellikler hariçtir.</p>
+
+<h3>Kullanıcı ekle</h3>
+
+<p>Yönetici kullanıcı ekleyebilir</p>
+
+<h3>Kullanıcı listesi</h3>
+
+<p>Listede isimler filtre edilebilir ( * jokeri kullanılabilir), grup yada kullanıcı durumu. Bu liste artan, azalan, kayıt tarihi ve kullanıcı adı sıralamasına göre düzenlenmiş olabilir.</p>
+
+<p>Bu ekran farklı eylemler kullanılarak aynıanda bir çok kullanıcı yönetimi sağlar:</p>
+
+<ul>
+
+  <li>kullanıcıları silmek (onay gerektirir)</li>
+  <li>durumu değiştirmek</li>
+  <li>gruplara eklemek veya kaldırmak</li>
+  <li>görüntü özelliklerini değiştirmek</li>
+  <li>ek özelliklerini değiştirmek</li>
+
+</ul>
+
+<p>Varsayılan olarak seçilen kullanıcılar hedeftir veya listede görünün tüm kullanıcılar.</p>