Index: extensions/Photos/language/sk_SK/description.txt
===================================================================
--- extensions/Photos/language/sk_SK/description.txt	(revision 9193)
+++ extensions/Photos/language/sk_SK/description.txt	(revision 9193)
@@ -0,0 +1,1 @@
+Premenovanie "obrázku" na "fotografiu"
Index: extensions/Photos/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/Photos/language/sk_SK/plugin.lang.php	(revision 9193)
+++ extensions/Photos/language/sk_SK/plugin.lang.php	(revision 9193)
@@ -0,0 +1,73 @@
+<?php
+// common
+$lang['%d new image'] = '%d nová fotografia';
+$lang['%d new images'] = '%d nových fotografií';
+$lang['add this image to your favorites'] = 'pridať túto fotografiu do obľúbených';
+$lang['display best rated items'] = 'zobraziť najviac hodnotené fotografie';
+$lang['display each day with pictures, month per month'] = 'zobraziť každá deň fotografie, mesiac po mesiaci';
+$lang['delete this image from your favorites'] = 'vymazať fotografiu z obľúbených';
+$lang['display my favorites pictures'] = 'zobraziť obľúbené fotografie';
+$lang['shows images at the root of this album'] = 'zobraziť tento album';
+$lang['display most visited pictures'] = 'zobraziť najviac zobrazené fotografie';
+$lang['Rate this picture'] = 'Ohodnotiť fotografiu';
+$lang['Random pictures'] = 'Náhodné fotografie';
+$lang['display a set of random pictures'] = 'zobraziť súbor náhodných fotografií';
+$lang['Recent pictures'] = 'Najnovšie fotografie';
+$lang['display most recent pictures'] = 'zobraziť najnovšie fotografie';
+$lang['display only recently posted images'] = 'zobraziť len najnovšie pridané fotografie';
+$lang['return to the display of all images'] = 'návrat na zobrazenie vštkých fotografií';
+$lang['%d image'] = '%d fotografia';
+$lang['%d images'] = '%d fotografií';
+$lang['%d image is also linked to current tags'] = '%d fotografia je označená kľúčovými slovami';
+$lang['%d images are also linked to current tags'] = '%d fotografií je označených kľúčovými slovami';
+$lang['See images linked to this tag only'] = 'zobraziť fotografie označené kľúčovým slovom';
+$lang['images posted during the last %d days'] = 'fotografie pridané za ostatných %d dní';
+$lang['delete all images from your favorites'] = 'vymazať všetky fotografie z obľúbených';
+$lang['Complete RSS feed (images, comments)'] = 'Kompletný RSS feed (fotografie, komentáre)';
+$lang['Image only RSS feed'] = 'RSS feed len fotografie';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'RSS oznamuje novinky z tejto stránky: nové fotografie, aktualizáciu albumov, nové komentáre. Použite RSS feed čítačku.';
+$lang['Maximum height of the pictures'] = 'Maximálna výška fotografie';
+$lang['Maximum width of the pictures'] = 'Maximálna šírka fotografie';
+$lang['display all elements in all sub-albums'] = 'zobraziť všetky fotografie v podalbumoch';
+$lang['The number of images per row must be a not null scalar'] = 'Počet fotografií v riadku nesmie byť nulový';
+$lang['Number of images per row'] = 'Počet fotografií v stĺpci';
+$lang['Elements posted within the last %d day.'] = 'Fotografie poslané za ostatný %d deň.';
+$lang['Elements posted within the last %d days.'] = 'Fotografie poslané za ostatných %d dní.';
+$lang['picture'] = 'fotografia';
+$lang['Click on the picture to see it in high definition'] = 'Kliknite na fotografiu na zobrazenie vo vysokom rozlíšní';
+
+// admin
+$lang['Edit all picture informations'] = 'Upraviť informácie o fotografii';
+$lang['Include display of recent pictures group by dates'] = 'Do zobrazenia zahrnúť všetky fotografie zoskupené po dátumoch';
+$lang['Link all album elements to a new album'] = 'Prelinkovať všetky albumy fotografií do nového albumu';
+$lang['Link all album elements to some existing albums'] = 'Prelinkovať všetky albumy fotografií do existujúcich albumov';
+$lang['Manage image ranks'] = 'Spravovať hodnotenie fotografií';
+$lang['New elements added'] = 'Pridané nové fotografie';
+$lang['New elements were added'] = 'Boli pridané nové fotografie';
+$lang['No element in this album'] = 'V albume sa nenachádza žiadna fotografia';
+$lang['Select at least one picture'] = 'Označiť najmenšiu fotografiu';
+$lang['Update images informations'] = 'Aktualizovať informácie o fotografii';
+$lang['Use the default image sort order (defined in the configuration file)'] = 'Použiť predvolené zoraďovanie fotografií (definované v konfiguračnom súbore)';
+$lang['add new elements to caddie'] = 'pridať nové fotografie do krabičky';
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'zobraziť maximum informácií (pridané albumy a fotografie, vymazané albumy a fotografie)';
+$lang['elements added in the database'] = 'fotografie pridané do databázy';
+$lang['elements deleted in the database'] = 'fotografie vymyzané z databázy';
+$lang['elements per page'] = 'fotografie na stránku';
+$lang['elements updated in the database'] = 'fotografie aktualizované v databáze';
+$lang['even already synchronized elements'] = 'už synchronizované fotografie';
+$lang['first element added on %s'] = 'prvá fotografia pridaná na %s';
+$lang['images candidates for metadata synchronization'] = 'fotografie uchádzajúce sa o metadata synchronizáciu';
+$lang['jump to image'] = 'skoč na fotografiu';
+$lang['manage image ranks'] = 'spravovať hodnotenie fotografií';
+
+
+$lang['manage album elements'] = 'spravovať album fotografií';
+$lang['synchronize files metadata with database elements informations'] = 'synchronizácia súborov metadát s databázou informácií o fotografiách';
+$lang['elements informations synchronized with files metadata'] = 'informácie o fotografiách boli zosynchronizované s metadata súbormi';
+$lang['number of miniaturized pictures'] = 'počet miniatúr fotografií';
+$lang['Picture informations updated'] = 'Informácie o fotografii aktualizované';
+$lang['Picture unreachable or no support'] = 'Fotografia neprístupná alebo nie je podporovaná';
+$lang['pictures without thumbnail (jpeg and png only)'] = 'fotografie bez náhľadov (len jpeg a png)';
+$lang['Random picture'] = 'Náhodná fotografia';
+
+?>