Index: /trunk/language/sv_SE/help/cat_modify.html
===================================================================
--- /trunk/language/sv_SE/help/cat_modify.html	(revision 9194)
+++ /trunk/language/sv_SE/help/cat_modify.html	(revision 9194)
@@ -0,0 +1,138 @@
+<h2>Redigera en kategori</h2>
+
+<h3>Information</h3>
+
+<ul>
+
+  <li><strong>namn</strong>: Byt namn på kategori (virtuellt namn byte
+  av en fysisk kategori).</li>
+
+  <li><strong>beskrivning</strong>: en kort text ger en allmän uppfattning om innehållet,
+  Denna text kommer att visas längst ned på miniatyrer sidan.</li>
+
+</Ul>
+
+<h3>Flytta</h3>
+
+<p>Om kategorin är virtuell, kan du flytta den. Flytta en kategori innebär
+att ändra den överordnade kategorin.</p>
+
+<h3>Alternativ</h3>
+
+<ul>
+
+  <li><strong>Åtkomsttyp</strong>: Behörigheter hantering. Om du gör en
+  kategori privat, så blir alla dess underordnade kategorier blir privata. Om du gör en
+  kategori allmän, blir alla dess överordnade kategorier allmäna.</li>
+
+  <li><strong> Låst</strong>: Den kategori och dess underkategorier kommer att
+  vara tillfällig inaktiverad för underhåll.</li>
+
+  <li><strong>Kommentarer</strong>: Auktorisera användare kan kommentera delar av dena
+  kategorin. </ li>
+
+  <li><strong>Auktoriserad att ladda upp</strong>: Auktorisera användare kan ladda upp
+  bildfiler. Det här alternativet är tillgängligt för fysisk (inte
+  virtuella) kategorier. </li>
+
+</Ul>
+
+<p> Du kan också hantera dessa alternativ på "Egenskaper"
+management skärmen (screens<span class="pwgScreen">Ladda upp</span>,<span
+class = "pwgScreen"> Kommentarer</span>,<span class="pwgScreen">Låst</span>,
+<span class="pwgScreen">Offentlig-Privata</span>,<span
+class = "pwgScreen">Representant</span> tillgänglig från <span
+class = "pwgScreen">Administration, kategorier, Egenskaper</span>).</p>
+
+<h3>Sorteringsordning</h3>
+
+<p>Använd standard sorteringsordningen för bilderna.</p>
+
+<p> Ange om denna sorteringsordningen kommer att gälla även underkategorier. </p>
+
+<p> Välj specifika sorterings kriterier som skall användas med på den här kategorin.</p>
+<ul>
+<li><strong>Skapande datum</strong>: Bild fotograferingsdatum</li>
+<li><strong>Publilerings datum</strong>: Synkronisering datum</li>
+<li><strong>Genomsnittskurs (*)</strong>: Genomsnittlig kan ändras av besökarnas röstning </li>
+<li><strong>Mest besökta (*)</strong>: Det aktuella besöket kan ändra mest besökta ordning</li>
+<li><strong>Filnamn</strong>: Namn anges i information område </ li>
+<li><strong>Id </strong>:. Internt id (senare kategorierna har ett högre id än tidigare </li>
+
+</Ul>
+<p><strong>(*)</strong>Varning: Var noga med att testa dessa sorteringsordningar av dig själv,för de kan ge oväntade resultat </p>.
+
+
+<!--no translate-->
+<h3>Representant</h3>
+
+<p>The album representative is the thumbnail displayed on the main page (<span class="pwgScreen">category.php</span>) to represent
+the album when
+it contains only sub-albums and no direct photo (just as the root album).</p>
+photo of a album :</p>
+
+<ul>
+
+  <li><span class="pwgScreen">Photo page</span>: one of the action buttons let you set the current photo as the representative for the
+  displayed album. This button is available only for administrators.</li>
+
+  <li><span class="pwgScreen">Modify informations about a photo</span> in
+  administration. This screen can be reached from <span
+  class="pwgScreen">picture.php</span> or <span class="pwgScreen">Batch
+  management</span> in <em>unit mode</em>. See the help of this screen for
+  details.</li>
+
+  <li><span class="pwgScreen">Administration &raquo; Albums &raquo; Properties,
+  Representative</span>. See the help of this screen for details.</li>
+
+  <li><span class="pwgScreen">Edit album</span> (the present screen).</li>
+
+</ul>
+
+<p>The choice of a representative depends on the 
+<code>allow_random_representative</code> configuration parameter (see <span
+class="filename">include/config_default.inc.php</span>).</p>
+
+<p>In default mode (<code>allow_random_representative</code> set to false),
+each album containing at least one element is represented by a fixed
+element. Once set (at album creation), the representative changes only
+when an administrator ask for it. If the representative is not appropriate,
+you can ask to <strong>Find a new representant by random</strong>.</p>
+
+<p>If the <code>allow_random_representative</code> configuration parameter is
+set to true, a category containing photos may have no fixed
+representant. Just use <strong>Delete representant</strong> button.</p>
+
+<p>If the album contains only sub-albums and no photo, it can nonetheless be represented by any element thanks to <span class="pwgScreen">Modify
+informations about a photo</span> screen. The only option on the current screen
+is the <strong>Delete representant</strong> button.</p>
+
+<h3>Link all album photos to a new album</h3>
+
+<ul>
+
+<li><strong>Virtual album name</strong>: Name of the new album to be created, 
+all photos of the current category will be linked to the new one.</li>
+
+<li><strong>Parent album</strong>: Where the new album will be, 
+leave empty to create it at root.</li>
+
+</ul>
+
+<h3>Link all album photos to existing albums</h3>
+
+<ul>
+
+<li><strong>Albums</strong>: Choose the destination album.</li>
+
+</ul>
+
+<h3>Send an information email to group members</h3>
+
+<ul>
+
+<li><strong>Group</strong>: recipients group</li>
+
+<li><strong>Mail content</strong>: Free text to send to them.</li>
+
+</ul>  