Index: /extensions/typetags/language/no_NO/description.txt
===================================================================
--- /extensions/typetags/language/no_NO/description.txt	(revision 9196)
+++ /extensions/typetags/language/no_NO/description.txt	(revision 9196)
@@ -0,0 +1,1 @@
+Muligjør å behandle farge tagger som du vil...
Index: /extensions/typetags/language/no_NO/index.php
===================================================================
--- /extensions/typetags/language/no_NO/index.php	(revision 9196)
+++ /extensions/typetags/language/no_NO/index.php	(revision 9196)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/typetags/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/typetags/language/no_NO/plugin.lang.php	(revision 9196)
+++ /extensions/typetags/language/no_NO/plugin.lang.php	(revision 9196)
@@ -0,0 +1,32 @@
+<?php
+
+$lang['typetags_error'] = 'Du må inkludere alle felter (navn og farge).';
+$lang['typetags_saved'] = 'TypeTag lagre.';
+$lang['typetags_suppr'] = 'TypeTager slettet.';
+$lang['typetag_suppr'] = 'TypeTag slettet.';
+$lang['typetags_already exists'] = 'Denne TypeTagen eksisterer allerede.';
+$lang['Edit selected typetags'] = 'Rediger valgte TypeTager.';
+$lang['Delete selected typetags'] = 'Slett valgte TypeTager.';
+$lang['Edit typetags'] = 'Rediger TypeTags';
+$lang['New color'] = 'Ny farge';
+$lang['Create a Typetag'] = 'Lag en TypeTag';
+$lang['New TypeTag'] = 'Navn på TypeTag';
+$lang['ColorTypeTag'] = 'Farge på TypeTag';
+$lang['TypeTag selection'] = 'Rediger - Slett TypeTager';
+$lang['TypeTag association'] = 'Assosier TypeTager';
+$lang['TypeTag dissociation'] = 'Dissossier TypeTager';
+$lang['existing_typetag_list'] = 'TypeTag å assosiere med :';
+$lang['associate'] = 'Assossiere';
+$lang['dissociate'] = 'Dissossiere';
+$lang['typetags_associated'] = 'TypeTag assossiert.';
+$lang['typetags_dissociated'] = 'TypeTag dissossiert.';
+$lang['choose_typetag'] = ' Velg TypeTag a assossiere med ';
+$lang['error_associate'] = ' Du må velge Tagger OG en TypeTag ';
+$lang['error_dissociate'] = ' Du må velge Tagger å dissosiere med ';
+
+$lang['Edited TypeTag'] = 'Rediger Typetag';
+$lang['New name'] = 'Nytt navn';
+$lang['Modify'] = 'Endre';
+$lang['You should select only one Typetag to edit.'] = 'Du bør velge kun en Typetag å redigere.';
+
+?>