Index: /extensions/Mail_supervisor/language/en_UK/description.txt
===================================================================
--- /extensions/Mail_supervisor/language/en_UK/description.txt	(revision 9207)
+++ /extensions/Mail_supervisor/language/en_UK/description.txt	(revision 9208)
@@ -1,5 +1,5 @@
-Ce plugin limite l'envoie de mails par période paramétrable.
-Traite les messages Warning de la fonction mail (spam, bad recipient address syntax).
-Bloque l'émission des mails si l'adresse de IP est dans la liste des utilisateurs bloqués.
-Empêche la connexion au site si l'adresse de IP est dans la liste des utilisateurs bloqués.
-Test si l'adresse IP fait partie d'une base de données AntiSpammeur.
+This plugin limits mail emission within a defined period.
+Processes Warning messages of mail function (spam, bad recipient address syntax).
+Prevents mail emission if IP address is in the users blacklisting.
+Prevents connection to the site if IP address is in the users blacklisting.
+Checks if IP address is registered in a AntiSpam database.
Index: /extensions/Mail_supervisor/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/en_UK/plugin.lang.php	(revision 9208)
+++ /extensions/Mail_supervisor/language/en_UK/plugin.lang.php	(revision 9208)
@@ -0,0 +1,119 @@
+<?php
+global $lang ;
+//===================================================
+if( !isset($lang['Minute'])) $lang['Minute'] =   l10n('Minute') ;
+if( !isset($lang['Second'])) $lang['Second'] =   l10n('Seconde');
+//=======================================================
+$lang['Sv_Datas'] =  'Datas' ;
+$lang['Sv_Group'] = $lang['Group']; 
+$lang['Sv_mail_content'] =  '';
+$lang['Sv_options'] =   'Options' ;
+$lang['Sv_raz'] =  'reset' ;
+$lang['Sv_Quarantaine'] =  'Quarantine' ;
+$lang['Sv_config'] =  'Configuration' ;
+
+$lang['Sv_rest'] = 'Remain';    
+$lang['Sv_iP_list'] = 'IP\'s list';
+$lang['Sv_iP_adress'] = 'IP address';
+$lang['Sv_Test'] = 'Test';
+
+$lang['Sv_Envoyer'] = 'Send';
+$lang['Sv_Valider'] = 'Validate';
+$lang['Sv_version'] = ' Version:';
+
+$lang['Sv_fai'] = $lang['Sv_username'];
+$lang['Sv_not_a_spam'] = 'Not in "stopforumspam" database.';
+$lang['Sv_Verif'] = 'Check.';
+$lang['Sv_no_mail_list'] = 'Prevents mail emission if IP address in the blacklist';
+$lang['Sv_no_connect'] = 'Prevents connection to the site if IP address in the blacklist';
+$lang['Sv_set_auto'] = 'Automatically stores the IP address in the blacklist if it is registered in "stopforumspam" database.';
+$lang['Sv_set_id'] = 'At the new user registration, checks that e-mail address is not registered in "stopforumspam" database.';
+$lang['Sv_unset_black_list'] = 'Remove from blacklist';
+$lang['Sv_set_black_list'] = 'Store in blacklist';
+$lang['Sv_is_a_spam'] = 'Spammer detected!';
+$lang['Sv_is_a_login_spam'] = ': sorry but this login is blacklisted!';
+$lang['Sv_Ajout'] = 'Add to the blacklisting.';
+
+$lang['Sv_list'] = 'List';
+$lang['Sv_IP_adress'] = 'Your IP address';
+$lang['Sv_liste_ip']="IP list (history)";
+$lang['Sv_black_liste']="IP blacklisting";
+$lang['Sv_blackliste']="Blacklisting";
+
+$lang['Sv_state'] = 'Status';
+$lang['Sv_refresh'] = 'Refresh';
+$lang['Sv_no_receiver_available'] = 'No recipient selected.';
+
+
+$lang['Sv_mail_sent_to'] = 'Mail sent to %s.';
+$lang['Sv_mail_not_send'] = 'Mail has not been sent.';
+$lang['Sv_message_to_send'] = 'Message to be sent.';
+$lang['Sv_verifiez_les_destinataires']='Check recipients:';
+$lang['Sv_detection_de'] = 'Detection of:' ;
+$lang['Sv_Tab_set'] = 'Initialisation';
+$lang['Sv_Tab_test'] = 'Test';
+$lang['Sv_Tab_help'] = 'Help';
+
+$lang['Sv_Howto'] = 'Management of mail sending monitoring.';
+$lang['Sv_admin_titre'] = 'Administration of '.$lang['Sv_supervisor'];
+$lang['Sv_admin_description'] = 'Last message sent again. ';
+$lang['Sv_save_config'] = 'Data saved';
+$lang['Sv_syntax_error'] = 'Syntax error. '; // My first BASIC communication with a computer :'-) !
+$lang['Sv_check_mailto'] = 'If the "To" field in the mail heading is empty, send a copy to the Webmaster.';
+$lang['Sv_check_header_carbon'] = 'Change the Bcc, Cc in the header';
+$lang['Sv_check_header_text'] = 'Add a "text" block in the mail header.';
+
+$lang['Sv_admin'] = 'Exclude administrator from mailings.';
+$lang['Sv_guest'] = 'Exclude guest from mailings.';
+
+$lang['Sv_periode'] = 'Period';
+
+$lang['Sv_mails'] = ' mails ';
+$lang['Sv_depuis_le'] = ' from:';
+$lang['Sv_spams'] = ' spams ';
+$lang['Sv_nb'] = ' Number ';
+$lang['Sv_nb_maxi'] = ' Maximum number ';
+$lang['Sv_quarantaine'] = 'You\'re on quarantine until: ';
+
+$lang['Sv_heures'] = ' Hours ';
+$lang['Sv_date'] = ' Date : ';
+$lang['Sv_valid "%s"'] = ' Valid: "%s"!';
+$lang['Sv_message "%s"'] = ' Error: <br /> "%s"  <br />!';
+$lang['Sv_supervisor'] = 'MAILS Supervisor';
+//========================================================================
+$lang['Sv_To_day_is'] = 'Today is:'.date('d-M-Y H:i:s') ;
+
+$lang['Sv_formatdate'] = 'd-M-Y H:i:s'; 
+$lang['Sv_format'] = 'Accepted values:'; 
+
+
+$lang['Sv_mise_en_quarantaine %s %s %s %s %s'] = '
+                            ON QUARANTINE!<br />'.
+                            'Number of %s sent: %s  <br />'.
+                            'From             : %s  <br />'.       
+                            'You still have     %s  before unblocking<br />'.
+                              ' The       %s <br />' ;
+
+$lang['Sv_alerte_mail %s %s %s %s %s'] = '
+                            ALERT!!! RISK OF BEING PUT ON QUARANTINE BY YOUR ISP <br />'.
+                            'You overpassed the number of mails within the acceptable period. <br />'.
+                            'Number of %s sent: %s  <br />'.
+                            'From             : %s  <br />'.       
+                            'You still have     %s before unblocking<br />'.
+                              ' The       %s <br />' ;
+
+$lang['Sv_debug_message']=    '
+The mail function returned [%s] <br />
+MESSAGE error : [ %s ] <br />
+mailto:   [ %s ]  <br />
+HEADERS:   [ %s ]  <br />
+Number of recipients [ %s ]<br />
+';
+
+$lang['Sv_message_texte "%s" "%s" "%s" "%s"'] ='
+ %s
+	 '. l10n('hello') .'  "%s"  ,
+  %s
+	 '. l10n('See you soon.') .'  %s
+	  '; 
+?>
Index: /extensions/Mail_supervisor/language/fr_FR/description.txt
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/description.txt	(revision 9207)
+++ /extensions/Mail_supervisor/language/fr_FR/description.txt	(revision 9208)
@@ -1,5 +1,5 @@
-Ce plugin limite l'envoie de mails par période paramétrable.
+Ce plugin limite l'envoi de mails par période paramétrable.
 Traite les messages Warning de la fonction mail (spam, bad recipient address syntax).
-Bloque l'émission des mails si l'adresse de IP est dans la liste des utilisateurs bloqués.
-Empêche la connexion au site si l'adresse de IP est dans la liste des utilisateurs bloqués.
-Test si l'adresse IP fait partie d'une base de données AntiSpammeur.
+Bloque l'émission des mails si l'adresse IP est dans la liste des utilisateurs bloqués.
+Empêche la connexion au site si l'adresse IP est dans la liste des utilisateurs bloqués.
+Teste si l'adresse IP fait partie d'une base de données AntiSpammeur.
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 9207)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 9208)
@@ -20,5 +20,5 @@
 $lang['Sv_Envoyer'] = 'Envoyer';
 $lang['Sv_Valider'] = 'Valider';
-$lang['Sv_version'] = ' Version  :';
+$lang['Sv_version'] = ' Version :';
 
 $lang['Sv_fai'] = $lang['Sv_username'];
@@ -27,10 +27,10 @@
 $lang['Sv_no_mail_list'] = 'Bloque l\' émission de mail si l\' adresse IP est dans la liste noire.';
 $lang['Sv_no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
-$lang['Sv_set_auto'] = 'Enregistre automatiquement l\' adresse IP dans la liste noire si elle existe dans la base de données de "stopforumspam" .';
-$lang['Sv_set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam" .';
+$lang['Sv_set_auto'] = 'Enregistre automatiquement l\' adresse IP dans la liste noire si elle existe dans la base de données de "stopforumspam".';
+$lang['Sv_set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam".';
 $lang['Sv_unset_black_list'] = 'Supprime de la liste noire';
 $lang['Sv_set_black_list'] = 'Mise sur la liste noire';
-$lang['Sv_is_a_spam'] = 'Spammeur détecté!.';
-$lang['Sv_is_a_login_spam'] = ': Je suis désolé mais ce login est interdit!.';
+$lang['Sv_is_a_spam'] = 'Spammeur détecté !';
+$lang['Sv_is_a_login_spam'] = ': Je suis désolé mais ce login est interdit !';
 $lang['Sv_Ajout'] = 'Ajouter à la liste noire.';
 
@@ -48,5 +48,5 @@
 $lang['Sv_mail_sent_to'] = 'Mail envoyé à %s.';
 $lang['Sv_mail_not_send'] = 'Le mail n\'a pas été envoyé.';
-$lang['Sv_message_to_send'] = 'Message a envoyer.';
+$lang['Sv_message_to_send'] = 'Message à envoyer.';
 $lang['Sv_verifiez_les_destinataires']='Vérifiez les destinataires:';
 $lang['Sv_detection_de'] = 'Détection de :' ;
@@ -55,5 +55,5 @@
 $lang['Sv_Tab_help'] = 'Aide';
 
-$lang['Sv_Howto'] = 'Gestion des parametres de surveillance d\' envoie des mails.';
+$lang['Sv_Howto'] = 'Gestion des paramètres de surveillance d\'envoi des mails.';
 $lang['Sv_admin_titre'] = 'Administration de '.$lang['Sv_supervisor'];
 $lang['Sv_admin_description'] = 'Dernier message renvoyé. ';
@@ -64,6 +64,6 @@
 $lang['Sv_check_header_text'] = 'Ajouter un bloc "texte" dans l\'entête du mail.';
 
-$lang['Sv_admin'] = 'Exclure l\'administrateur des envoies.';
-$lang['Sv_guest'] = 'Exclure le guest des des envoies.';
+$lang['Sv_admin'] = 'Exclure l\'administrateur des envois.';
+$lang['Sv_guest'] = 'Exclure le guest des des envois.';
 
 $lang['Sv_periode'] = 'Période';