Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 9224)
+++ /extensions/Autosize/autosize.inc.php	(revision 9225)
@@ -284,17 +284,17 @@
 
 $my_para->webmaster_height =(isset($_POST['webmaster_height'])) ? $_POST['webmaster_height'] : ((isset($my_para->webmaster_height )) ? $my_para->webmaster_height : '100%' ) ;
-$my_para->webmaster_width=(isset($_POST['webmaster_width']))? $_POST['webmaster_width']: ((isset($my_para->webmaster_width)) ? $my_para->webmaster_width:  '90%') ;
-
-$my_para->admin_height =(isset($_POST['admin_height'])) ? $_POST['admin_height'] : ((isset($my_para->admin_height )) ? $my_para->admin_height : '90%' ) ;
-$my_para->admin_width=(isset($_POST['admin_width']))? $_POST['admin_width']: ((isset($my_para->admin_width)) ? $my_para->admin_width:  '90%') ;
+$my_para->webmaster_width=(isset($_POST['webmaster_width']))? $_POST['webmaster_width']: ((isset($my_para->webmaster_width)) ? $my_para->webmaster_width:  '100%') ;
+
+$my_para->admin_height =(isset($_POST['admin_height'])) ? $_POST['admin_height'] : ((isset($my_para->admin_height )) ? $my_para->admin_height : '100%' ) ;
+$my_para->admin_width=(isset($_POST['admin_width']))? $_POST['admin_width']: ((isset($my_para->admin_width)) ? $my_para->admin_width:  '100%') ;
 
 $my_para->generic_height =(isset($_POST['generic_height'])) ? $_POST['generic_height'] : ((isset($my_para->generic_height )) ? $my_para->generic_height : '100%' ) ;
-$my_para->generic_width=(isset($_POST['generic_width']))? $_POST['generic_width']: ((isset($my_para->generic_width)) ? $my_para->generic_width:  '90%') ;
+$my_para->generic_width=(isset($_POST['generic_width']))? $_POST['generic_width']: ((isset($my_para->generic_width)) ? $my_para->generic_width:  '100%') ;
 
 $my_para->guest_height =(isset($_POST['guest_height'])) ? $_POST['guest_height'] : ((isset($my_para->guest_height )) ? $my_para->guest_height : '100%' ) ;
-$my_para->guest_width=(isset($_POST['guest_width']))? $_POST['guest_width']: ((isset($my_para->guest_width)) ? $my_para->guest_width:  '90%') ;
+$my_para->guest_width=(isset($_POST['guest_width']))? $_POST['guest_width']: ((isset($my_para->guest_width)) ? $my_para->guest_width:  '100%') ;
 
 $my_para->normal_height =(isset($_POST['normal_height'])) ? $_POST['normal_height'] : ((isset($my_para->normal_height )) ? $my_para->normal_height : '100%' ) ;
-$my_para->normal_width=(isset($_POST['normal_width']))? $_POST['normal_width']: ((isset($my_para->normal_width)) ? $my_para->normal_width:  '90%') ;
+$my_para->normal_width=(isset($_POST['normal_width']))? $_POST['normal_width']: ((isset($my_para->normal_width)) ? $my_para->normal_width:  '100%') ;
 
 
@@ -306,5 +306,5 @@
 
 $my_para->echelle_max=(isset($_POST['echelle_max']))? $_POST['echelle_max'] : ((isset($my_para->echelle_max)) ? $my_para->echelle_max :  '1.2'); 
-$my_para->marge_basse=(isset($_POST['marge_basse']))? $_POST['marge_basse']: ((isset($my_para->marge_basse)) ? $my_para->marge_basse :  '50');
+$my_para->marge_basse=(isset($_POST['marge_basse']))? $_POST['marge_basse']: ((isset($my_para->marge_basse)) ? $my_para->marge_basse :  '0');
 $my_para->fade_in=(isset($_POST['fade_in']))? $_POST['fade_in']: ((isset($my_para->fade_in)) ? $my_para->fade_in :  '200');
 
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 9224)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 9225)
@@ -84,4 +84,9 @@
     jQuery("#src_img_w").val(img_w);
     jQuery("#ret_autosize").val(src_img);
+    if (typeof Window_Affichage =="undefined" ) {
+        Window_Affichage = { height: Zone_Affichage.height,
+            width: Zone_Affichage.width
+        };
+    }
     jQuery("#window_height").val(Window_Affichage.height);
     jQuery("#window_width").val(Window_Affichage.width);
@@ -380,10 +385,11 @@
                  var winheight = jQuery(window).height();
                  n = winwidth - old_window.width;
-                 if (Math.abs( n) < 1) {
+                 if (Math.abs(n) < 1) {
                      n = winheight - old_window.height;
                      if (Math.abs(n) < 1)
                          return true;
                  }
-                 if (nu_img > 10) return true;
+                 if (Math.abs(n) > 30) nu_img = 0;
+                 //if (nu_img > 10) return true;
                  old_window = jQuery(window).infos();
                  //===========================================================================
@@ -398,5 +404,5 @@
                  var info_the_page = jQuery("#the_page").infos();
                  //=============================================================================
-                
+
                  var info_content = jQuery("#content").infos();
                  var info_titrePage = jQuery("#titrePage").infos();
@@ -1062,5 +1068,5 @@
                      t1 = info_theImageBox.top;
                      l1 = info_theImageBox.left;
-                    // info_theImageBox = jQuery(Parent).infos();
+                     // info_theImageBox = jQuery(Parent).infos();
 
                  } else {
@@ -1371,16 +1377,17 @@
                                     info_description.borderwidth.bottom +
                                       options.imageAutosizeMargin*2 +  
-                                    (marges_llgbo / 2);   
+                                    (marges_llgbo / 2)+4;
 
         } else {
-            info_description.top = info_theImageBox.bottom ;
-            info_description.bottom =  info_theImageAndTitle.bottom +
-                                        info_theImageAndTitle.margin.bottom +
-                                        info_theImageAndTitle.margin.top +         
-                                        info_description.borderwidth.top +
-                                        info_description.borderwidth.bottom  +
-                                        options.imageAutosizeMargin*2 +
-                                         (marges_llgbo / 2);          
-            
+        
+       
+            info_description.top = info_theImageBox.bottom +
+                        jQuery("#content").infos().top +
+                        options.imageAutosizeMargin * 2  +
+                        (marges_llgbo / 2)
+                                ;
+            info_description.bottom = jQuery("#tabZone").infos().top +
+                        info_theImageAndTitle.margin.top;
+           if (msie == true) info_description.bottom -= 4;
         };
         check_desc_v = true; 
@@ -1391,5 +1398,5 @@
         // info_description.bottom -= info_img.top;
     }
-    //   if (msie == true) info_description.bottom -= 4;
+    //  
 
     info_description.height = info_description.bottom - info_description.top;
@@ -1401,5 +1408,5 @@
     Debug_pos();
 
-    //  cl_visible=false ;
+    //cl_visible=false ;
     return info_description;
 }