Index: /branches/2.1/language/ka_GE/common.lang.php
===================================================================
--- /branches/2.1/language/ka_GE/common.lang.php	(revision 9235)
+++ /branches/2.1/language/ka_GE/common.lang.php	(revision 9236)
@@ -330,5 +330,8 @@
 $lang['Creation date: %s'] = 'გადაღების დრო: %s';
 $lang['Waiting page: %s'] = 'მოცდის გვერდი: %s';
+$lang['Picture uploaded by %s'] = 'ფოტო ატვირთულია %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'მომხმარებლის არასწორი სტატუსი "სტუმარი", გამოიყენეთ ძირითადი სტატუსი. გთხოვთ შეატყობინოთ ადმინისტრატორს.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster and special user cannot use this method';
 $lang['a user use already this mail address'] = 'მომხმარებელი ასეთი მისამართით უკვე არსებობს';
Index: /branches/2.1/language/mk_MK/common.lang.php
===================================================================
--- /branches/2.1/language/mk_MK/common.lang.php	(revision 9235)
+++ /branches/2.1/language/mk_MK/common.lang.php	(revision 9236)
@@ -336,4 +336,5 @@
 $lang['Creation date: %s'] = 'Дата на создавање: %s';
 $lang['Waiting page: %s'] = 'Страна на чекање: %s';
+$lang['Picture uploaded by %s'] = 'Фотографијата е прикачена од %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Грешка при најавувањето како гостин.';
 $lang['Submit'] = 'Поднесува';
Index: /branches/2.1/language/nl_NL/common.lang.php
===================================================================
--- /branches/2.1/language/nl_NL/common.lang.php	(revision 9235)
+++ /branches/2.1/language/nl_NL/common.lang.php	(revision 9236)
@@ -325,5 +325,8 @@
 $lang['Creation date: %s'] = 'Aanmaakdatum: %s';
 $lang['Waiting page: %s'] = 'Wacht pagina: %s';
+$lang['Picture uploaded by %s'] = 'Afbeelding ge-uploaded door %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Foutieve status voor gebruiker "guest", gebruik standaard status. Waarschuw de webbeheerder.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webbeheerder en speciale gebruiker kunnen deze methode niet gebruiken';
 $lang['a user use already this mail address'] = 'Een andere gebruiker maakt al gebruik van dit email-adres';
@@ -348,4 +351,5 @@
 $lang['Choose an image'] = 'Kies een afbeelding om';
 $lang['Piwigo Help'] = 'Piwigo Help';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Are you sure?'] = 'Weet u het zeker?';
 $lang['delete this comment'] = 'verwijder dit commentaar';
Index: /branches/2.1/language/pl_PL/common.lang.php
===================================================================
--- /branches/2.1/language/pl_PL/common.lang.php	(revision 9235)
+++ /branches/2.1/language/pl_PL/common.lang.php	(revision 9236)
@@ -327,5 +327,8 @@
 $lang['Creation date: %s'] = 'Data utworzenia: %s';
 $lang['Waiting page: %s'] = 'Strona oczekująca: %s';
+$lang['Picture uploaded by %s'] = 'Zdjęcie wgrane przez %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Zły status dla użytkownika "gość", używam domyślnego';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster i special user nie mogą używać tej metody';
 $lang['a user use already this mail address'] = 'użytkownik już używa tego adresu email';
@@ -357,4 +360,5 @@
 $lang['Are you sure?'] = 'Jesteś pewien?';
 $lang['delete this comment'] = 'usuń ten komentarz';
+//For version 2.1.0
 $lang['Reset to default values'] = 'Resetuj do domyślnych wartości';
 $lang['delete all images from your favorites'] = 'usuń wszystkie obrazy ze swoich ulubionych';
Index: /branches/2.1/language/pt_BR/common.lang.php
===================================================================
--- /branches/2.1/language/pt_BR/common.lang.php	(revision 9235)
+++ /branches/2.1/language/pt_BR/common.lang.php	(revision 9236)
@@ -327,5 +327,8 @@
 $lang['Creation date: %s'] = 'Data de criação: %d';
 $lang['Waiting page: %s'] = 'Página de espera: %s';
+$lang['Picture uploaded by %s'] = 'Imagem enviada por %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Status ruim para o usuário "guest", será usado status padrão. Por favor, avise o administrador do site.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrador, webmaster e utilizador especial não podem utilizar este método';
 $lang['a user use already this mail address'] = 'um outro usuário já utiliza este email';
Index: /branches/2.1/language/pt_PT/common.lang.php
===================================================================
--- /branches/2.1/language/pt_PT/common.lang.php	(revision 9235)
+++ /branches/2.1/language/pt_PT/common.lang.php	(revision 9236)
@@ -327,5 +327,8 @@
 $lang['Creation date: %s'] = 'Data de criação: %d';
 $lang['Waiting page: %s'] = 'Página de espera: %s';
+$lang['Picture uploaded by %s'] = 'Imagem enviada por %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Status ruim para o usuário "guest", será usado status padrão. Por favor, avise o administrador do site.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrador, webmaster e utilizador especial não podem utilizar este método';
 $lang['a user use already this mail address'] = 'um outro usuário já utiliza este email';
Index: /branches/2.1/language/ro_RO/common.lang.php
===================================================================
--- /branches/2.1/language/ro_RO/common.lang.php	(revision 9235)
+++ /branches/2.1/language/ro_RO/common.lang.php	(revision 9236)
@@ -317,4 +317,5 @@
 $lang['Creation date: %s'] = 'Data creării : %d';
 $lang['Waiting page: %s'] = 'Pagina de aşteptare : %s';
+$lang['Picture uploaded by %s'] = 'Imagine adăugată de %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Statutul utilizatorului "invitat" este eronat, se vor folosi  parametrii impliciţi. Va rugăm sa informaţi webmasterul.';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administratorul, webmasterul şi utilizatorul special nu pot folosi aceasta metodă';
Index: /branches/2.1/language/ru_RU/common.lang.php
===================================================================
--- /branches/2.1/language/ru_RU/common.lang.php	(revision 9235)
+++ /branches/2.1/language/ru_RU/common.lang.php	(revision 9236)
@@ -327,5 +327,8 @@
 $lang['Creation date: %s'] = 'Дата съемки: %s';
 $lang['Waiting page: %s'] = 'Страница ожидания: %s';
+$lang['Picture uploaded by %s'] = 'Фотография загружена %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Неверный статус пользователя "гость", используйте статус по умолчанию. Пожалуйста сообщите вебмастеру.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster and special user cannot use this method';
 $lang['a user use already this mail address'] = 'пользователь с таким адресом уже есть';
Index: /branches/2.1/language/sh_RS/common.lang.php
===================================================================
--- /branches/2.1/language/sh_RS/common.lang.php	(revision 9235)
+++ /branches/2.1/language/sh_RS/common.lang.php	(revision 9236)
@@ -327,5 +327,8 @@
 $lang['Creation date: %s'] = 'Datum izrade: %s';
 $lang['Waiting page: %s'] = 'Stranica čekanja: %s';
+$lang['Picture uploaded by %s'] = 'Sliku prebacio %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Loš status za korisnika "guest", koristi se podrazumevani status. Molimo obavestite webmaster-a.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster i posebni korisnik ne mogu koristiti ovu metodu';
 $lang['a user use already this mail address'] = 'korisnik već koristi ovu e-mail adresu';
Index: /branches/2.1/language/sk_SK/common.lang.php
===================================================================
--- /branches/2.1/language/sk_SK/common.lang.php	(revision 9235)
+++ /branches/2.1/language/sk_SK/common.lang.php	(revision 9236)
@@ -331,5 +331,8 @@
 $lang['Creation date: %s'] = 'Dátum vytvorenia: %s';
 $lang['Waiting page: %s'] = 'Čakanie na stránku: %s';
+$lang['Picture uploaded by %s'] = 'Fotografia nahraná %s';
+
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Zlý stav pre používateľa "hosť", bude použitý východzí stav. Prosím informujte webmastra.';
+
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrátor, webmaster a špeciálny používateľ nemôžu použiť túto metódu.';
 $lang['a user use already this mail address'] = 'táto e-mailová adresa je už používaná';
@@ -359,6 +362,10 @@
 $lang['show tag cloud'] = 'zobraziť kľúčové slová v bubline';
 $lang['cloud'] = 'bublina';
+// --------- Starting below: New or revised $lang ---- from Colibri (2.1)
+
 $lang['Are you sure?'] = 'Ste si istý?';
 $lang['delete this comment'] = 'vymazať tento komentár';
+
+// missing translations 2.1.0
 $lang['Reset to default values'] = 'Obnoviť východzie hodnoty';
 $lang['delete all images from your favorites'] = 'vymazať všetky obrázky z Vašich obľúbených';
Index: /branches/2.1/language/sl_SL/common.lang.php
===================================================================
--- /branches/2.1/language/sl_SL/common.lang.php	(revision 9235)
+++ /branches/2.1/language/sl_SL/common.lang.php	(revision 9236)
@@ -304,4 +304,5 @@
 $lang['Creation date: %s'] = 'Datum nastanka: %s';
 $lang['Waiting page: %s'] = 'Čakajoče strani: %s';
+$lang['Picture uploaded by %s'] = 'Sliko naložil %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Nepravilen status uporabnika "guest", uporabljen bo privzeti status. Prosim obvestite skrbnika.';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, skrbnik in posebni uporabnik ne morejo uporabljati te metode';
Index: /branches/2.1/language/sr_RS/common.lang.php
===================================================================
--- /branches/2.1/language/sr_RS/common.lang.php	(revision 9235)
+++ /branches/2.1/language/sr_RS/common.lang.php	(revision 9236)
@@ -327,5 +327,8 @@
 $lang['Creation date: %s'] = 'Датум израде: %s';
 $lang['Waiting page: %s'] = 'Страница чекања: %s';
+$lang['Picture uploaded by %s'] = 'Слику пребацио %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Лош статус за корисника "гост", користи се подразумевани статус. Молимо обавестите мајстора интернет страница.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster и посебни корисник не могу користити ову методу';
 $lang['a user use already this mail address'] = 'корисник већ користи ову адресу електронске поште';
Index: /branches/2.1/language/sv_SE/common.lang.php
===================================================================
--- /branches/2.1/language/sv_SE/common.lang.php	(revision 9235)
+++ /branches/2.1/language/sv_SE/common.lang.php	(revision 9236)
@@ -46,4 +46,5 @@
 $lang['Creation date: %s'] = 'Skapad datum: %s';
 $lang['Waiting page: %s'] = 'Väntar på sidan: %s';
+$lang['Picture uploaded by %s'] = 'Bild upp laddad av %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'dålig status för användare \"gäst\", default status kommer används Vanligen meddela webmastern..';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administratör, webmaster och speciell användare kan inte använda denna metod';
Index: /branches/2.1/language/tr_TR/common.lang.php
===================================================================
--- /branches/2.1/language/tr_TR/common.lang.php	(revision 9235)
+++ /branches/2.1/language/tr_TR/common.lang.php	(revision 9236)
@@ -281,4 +281,5 @@
 $lang['Creation date: %s'] = 'Yaratma Tarihi: %s';
 $lang['Waiting page: %s'] = 'Beklenen Sayfa: %s';
+$lang['Picture uploaded by %s'] = 'resimi Gönderen %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Kullanıcı için kötü statü "ziyaretçi", varsayılan statü kullanılıyor. Lütfen webmaster\'a bildirin';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Yönetici, webmaster ve özel kullanıcı bu metodu kullanamaz';
Index: /branches/2.1/language/vi_VN/common.lang.php
===================================================================
--- /branches/2.1/language/vi_VN/common.lang.php	(revision 9235)
+++ /branches/2.1/language/vi_VN/common.lang.php	(revision 9236)
@@ -326,5 +326,8 @@
 $lang['Creation date: %s'] = 'Ngày gởi: %s';
 $lang['Waiting page: %s'] = 'Trang đợi: %s';
+$lang['Picture uploaded by %s'] = 'Hình được gởi bởi %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Status xấu đối với thành viên đăng thuộc nhóm "khách", sử dụng status mặc định. Thông báo ngay cho Quản trị';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Quản trị viên và thành viên đặc biệt không thể sử dụng cách này';
 $lang['a user use already this mail address'] = 'đã có thành viên sử dụng địa chỉ email này';
@@ -354,4 +357,5 @@
 $lang['cloud'] = 'mây';
 $lang['Reset to default values'] = 'Thiết lập lại giá trị mặc định';
+// --------- Starting below: New or revised $lang ---- from Colibri (2.1)
 $lang['delete all images from your favorites'] = 'xoá tất cả hình từ danh sách ưa thích';
 $lang['Sent by'] = 'Được gởi bởi';
Index: /branches/2.1/language/zh_CN/common.lang.php
===================================================================
--- /branches/2.1/language/zh_CN/common.lang.php	(revision 9235)
+++ /branches/2.1/language/zh_CN/common.lang.php	(revision 9236)
@@ -327,5 +327,8 @@
 $lang['Creation date: %s'] = '创建日期: %d';
 $lang['Waiting page: %s'] = '等待页面: %s';
+$lang['Picture uploaded by %s'] = '图片上载者 %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = '如果游客反常拥有普通用户才拥有状态，请向网络管理员报告。';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = '管理员, 网管和特定用户不能使用此方法功能';
 $lang['a user use already this mail address'] = '邮箱地址已存在';