Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 9239)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 9240)
@@ -732,3 +732,51 @@
 $lang['Unknown upload error'] = 'Непозната грешка преузимања!';
 $lang['Error on file "%s" : %s'] = 'Грешка код датотеке "%s" : %s';
+$lang['%d of %d photos selected'] = '%d од %d фотографија одабрано';
+$lang['Action'] = 'Операција';
+$lang['Add a filter'] = 'Додај филтер';
+$lang['Album photos associated to the following albums: %s'] = 'Слике
+албума  се налазе и у следећим албумима: %s';
+$lang['Albums automatically sorted'] = 'Албуми су аутоматски уређени';
+$lang['All %d photos are selected'] = 'Одабране су све слике: %d ';
+$lang['Apply action'] = 'Примени операцију';
+$lang['automatic order'] = 'аутоматско сређивање';
+$lang['Batch Manager'] = 'Менаџер операција';
+$lang['Choose an action'] = 'Одабери операцију';
+$lang['Delete orphan tags'] = 'Обриши orphan ознаку';
+$lang['delete photo'] = 'избриши фотографију';
+$lang['duplicates'] = 'дупликати';
+$lang['include child albums'] = 'укључи подалбуме';
+$lang['Keep high definition'] = 'Задржи бољу дефиницију';
+$lang['last import'] = 'последње додавање';
+$lang['manual order'] = 'ручно уређивање';
+$lang['No photo in the current set.'] = 'Нема фотографија у одабраном скупу.';
+$lang['No photo selected, %d photos in current set'] = 'Ниједна одабрана фотографија, број фотографија у одабраном скупу: %d';
+$lang['No photo selected, no action possible.'] = 'Ниједна одабрана фотографија, нема могућих операција.';
+$lang['on the %d selected photos'] = 'on the %d одабране слике';
+$lang['Orphan tags deleted'] = 'Orphan ознака обрисана';
+$lang['predefined filter'] = 'predefined filter';
+$lang['Refresh photo set'] = 'Обнови скуп слика';
+$lang['Remove all filters'] = 'Обриши све филтере';
+$lang['remove author'] = 'обриши аутора';
+$lang['remove creation date'] = 'обриши датум прављења';
+$lang['Remove from caddie'] = 'Избриши из caddie';
+$lang['remove this filter'] = 'избриши овај филтер';
+$lang['remove title'] = 'обриши наслов';
+$lang['Selection'] = 'Избор';
+$lang['Set author'] = 'Постави аутора';
+$lang['Set creation date'] = 'Постави датум прављења';
+$lang['Set title'] = 'Постави наслов';
+$lang['The high definition image quality must be a number between %d and %d'] = 'The high definition image quality мора бити број између %d и %d';
+$lang['The high definition maximum height must be a number between %d and %d'] = 'The high definition maximum height мора бити број између %d и %d';
+$lang['The high definition maximum width must be a number between %d and %d'] = 'The high definition maximum width мора бити број између %d и %d';
+$lang['The whole page'] = 'Комплетна страница';
+$lang['The whole set'] = 'Комплетан скуп';
+$lang['Type here the author name'] = 'Откуцај овде име аутора';
+$lang['Type here the title'] = 'Откуцај овде наслов';
+$lang['Week starts on'] = 'Недеља стартује у';
+$lang['with no album'] = 'без албума';
+$lang['with no tag'] = 'без ознаке';
+$lang['with no virtual album'] = 'без виртуелног албума';
+$lang['You have %d orphan tags: %s.'] = 'Имате %d orphan ознака: %s.';
+
 ?>