Index: /extensions/AddInfo/language/no_NO/description.txt
===================================================================
--- /extensions/AddInfo/language/no_NO/description.txt	(revision 9241)
+++ /extensions/AddInfo/language/no_NO/description.txt	(revision 9241)
@@ -0,0 +1,1 @@
+Legger til 3 informasjoner på bilde beskrivelsen
Index: /extensions/AddInfo/language/no_NO/index.php
===================================================================
--- /extensions/AddInfo/language/no_NO/index.php	(revision 9241)
+++ /extensions/AddInfo/language/no_NO/index.php	(revision 9241)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AddInfo/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/no_NO/plugin.lang.php	(revision 9241)
+++ /extensions/AddInfo/language/no_NO/plugin.lang.php	(revision 9241)
@@ -0,0 +1,33 @@
+<?php
+//ADMIN
+$lang['addinfo_h2'] = 'Behandling av tilleggsinformasjon på bilde side';
+
+$lang['addinfo_complete'] = 'Tilleggsinformasjon - Pluggin Legg til Info';
+
+//onglet addinfo
+$lang['addinfo_newinfo'] = 'Du kan også legge til informasjon på rediger bilder side';
+$lang['addinfo_ajout'] = 'Legg til informasjon på bilder';
+$lang['addinfo_selecti3'] = 'Velg bilde';
+$lang['addinfo_img'] = 'Legg til litt informasjon på bildene';
+$lang['addinfo_selectimg'] = 'Velg bilde';
+$lang['addinfo_listimg'] = 'Bilde liste';
+$lang['addinfo_choiximg'] = 'Rediger ekstra informasjonen på bildet';
+$lang['addinfo_insing'] = 'sett tinn vardiene i databasen';
+
+//onglet explication
+$lang['addinfo_explication'] = 'Presentasjon';
+$lang['addinfo_explication_help'] = 'Denne plugginen er et eksempel på hvordan man legger til ekstra informasjon på bilder, For å kunne bruke det, bør du tilpasse den';
+$lang['addinfo_explication_update non'] = 'Erstatning av INFO1, INFO2, INFO3';
+$lang['addinfo_explication_update non_help'] = 'For dette bør du legge til disse i din språk fil:<br>
+$lang[\'addinfo_info1\'] = \'navn du vil ha for infos1\'; <br>
+$lang[\'addinfo_info2\'] = \'navn du vil ha for infos2\'; <br>
+$lang[\'addinfo_info3\'] = \'navn du vil ha for infos3\'; <br>
+';
+
+//onglet addinfo et admin info
+$lang['addinfo_info1'] = 'INFO1';
+$lang['addinfo_info2'] = 'INFO2';
+$lang['addinfo_info3'] = 'INFO3';
+
+
+?>